Name:		curaengine
Epoch:		1
Version:	4.8.0
%define subrel 1
Release:	%mkrel 1.1
Group:		Sciences/Computer science
Summary:	Engine for processing 3D models into G-code instructions for 3D printers
License:	AGPLv3+
URL:		https://github.com/Ultimaker/CuraEngine
Source0:	https://github.com/Ultimaker/CuraEngine/archive/%{version}/curaengine-%{version}.tar.gz
# The cmake stuff would attempt to git clone this:
# TODO package on it's own
%global stb_commit 5736b15f7ea0ffb08dd38af21067c314d6a3aae9
Source1:	https://github.com/nothings/stb/archive/%{stb_commit}.tar.gz
Provides:	bundled(stb) = %stb_commit

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	git-core
BuildRequires:	libgomp-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	cmake(Arcus)
BuildRequires:	pkgconfig(polyclipping) >= 6.1.2
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(RapidJSON)
# For tests:
BuildRequires:	python3

%description
CuraEngine is a C++ console application for 3D printing G-code generation. It
has been made as a better and faster alternative to the old Skeinforge engine.

This is just a console application for G-code generation. For a full graphical
application look at cura which is the graphical frontend for CuraEngine.

%prep
%autosetup -p1 -S git -n CuraEngine-%{version}

tar -xf %{SOURCE1}
mv stb-%{stb_commit} stb

# bundled libraries
rm -rf libs

# The -DCURA_ENGINE_VERSION does not work, so we sed-change the default value
sed -i 's/"DEV"/"%{version}"/' src/settings/Settings.h

%build
%cmake \
	-Wno-dev \
	-DBUILD_SHARED_LIBS:BOOL=OFF  \
	-DCURA_ENGINE_VERSION:STRING=%{version} \
	-DUSE_SYSTEM_LIBS:BOOL=ON \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DCMAKE_CXX_FLAGS_RELEASE_INIT:STRING="%{optflags} -fPIC"
%cmake_build

%install
%cmake_install

%check
# Smoke test
%{buildroot}%{_bindir}/CuraEngine help

%files
%doc README.md
%license LICENSE
%{_bindir}/CuraEngine


%changelog
* Wed Jun 28 2023 papoteur <papoteur> 1:4.8.0-1.1.1.mga8
+ Revision: 1963257
- update stb to latest snapshot (mga#30366, CVE-2022-28041)
+ ns80 <ns80>
- stb_image: update to latest git snapshot + some pending pull requests for CVE-2021-28021, CVE-2021-42715, and CVE-2021-42716 (mga#29622)

* Mon Dec 28 2020 daviddavid <daviddavid> 1:4.8.0-1.mga8
+ Revision: 1664576
- new version: 4.8.0

* Fri Dec 18 2020 luigiwalser <luigiwalser> 1:4.4.1-4.mga8
+ Revision: 1661000
- rebuild for protobuf

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1:4.4.1-3.mga8
+ Revision: 1650716
- rebuild for protobuf

* Sun Jun 28 2020 daviddavid <daviddavid> 1:4.4.1-2.mga8
+ Revision: 1600167
- rebuild for new protobuf 3.12.3

* Mon Feb 24 2020 daviddavid <daviddavid> 1:4.4.1-1.mga8
+ Revision: 1549923
- new version: 4.4.1 (add epoch as upstream changed its version scheme)
- switch to cmake build system
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 15.04-5.mga7
+ Revision: 1297374
- Mageia 7 Mass Rebuild

* Mon Sep 19 2016 akien <akien> 15.04-4.mga6
+ Revision: 1054418
- Rebuild again for polyclipping, for real this time

* Mon Sep 19 2016 akien <akien> 15.04-3.mga6
+ Revision: 1054301
- Rebuild for polyclipping 6.4

* Wed Dec 30 2015 ycantin <ycantin> 15.04-1.mga6
+ Revision: 916995
- initial import
- Created package structure for curaengine.

